/*!
 * @file qlibs.h
 * @author J. Camilo Gomez C.
 * @version 1.0.2
 * @note This file is part of the qlibs++ distribution.
 * @brief Global inclusion header
 **/


/*
qlibs++ - A collection of useful libraries for embedded systems.
MIT License
C++11 and MISRA C++ 2008 / CERT Compliant

Copyright (C) 2012 Eng. Juan Camilo Gomez Cadavid MSc. All Rights Reserved.

Permission is hereby granted, free of charge, to any person obtaining a copy of
this software and associated documentation files (the "Software"), to deal in
the Software without restriction, including without limitation the rights to
use, copy, modify, merge, publish, distribute, sublicense, and/or sell copies of
the Software, and to permit persons to whom the Software is furnished to do so,
subject to the following conditions:

The above copyright notice and this permission notice shall be included in all
copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, FITNESS
FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR
COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER
IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN
CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

VISIT https://github.com/kmilo17pet/QuarkTS-cpp TO ENSURE YOU ARE USING THE LATEST
VERSION.


This file is part of the QuarkTS++ OS distribution.
*/

#ifndef QLIBS_CPP_H
#define QLIBS_CPP_H

#define QLIBS_CPP_VERSION         "1.0.3"
#define QLIBS_CPP_VERNUM          ( 103u )
#define QLIBS_CPP_CAPTION         "qLibs++" QLIBS_CPP_VERSION

#include "include/qlibs_types.hpp"
#include "include/tdl.hpp"
#include "include/numa.hpp"
#include "include/ltisys.hpp"
#include "include/mathex.hpp"
#include "include/smoother.hpp"
#include "include/fis.hpp"
#include "include/pid.hpp"
#include "include/crc.hpp"
#include "include/rms.hpp"
#include "include/fp16.hpp"
#include "include/generic.hpp"
#include "include/ffmath.hpp"


using namespace qlibs;

#endif /*QOS_CPP_H*/
